UbixOS V2 2.0

Macros | Functions
def.h File Reference
`#include <net/arch.h>`
`#include <net/opt.h>`
Include dependency graph for def.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | htonl(x) lwip_htonl(x)
#define | htons(x) lwip_htons(x)
#define | LWIP_ARRAYSIZE(x) (sizeof(x)/sizeof((x)[0]))
#define | lwip_htonl(x) (x)
#define | lwip_htons(x) (x)
#define | LWIP_MAKEU32(a, b, c, d)
#define | LWIP_MAX(x, y) (((x) > (y)) ? (x) : (y))
#define | LWIP_MIN(x, y) (((x) < (y)) ? (x) : (y))
#define | lwip_ntohl(x) (x)
#define | lwip_ntohs(x) (x)
#define | ntohl(x) lwip_ntohl(x)
#define | ntohs(x) lwip_ntohs(x)
#define | NULL ((void *)0)
#define | PERF_START /* null definition */
#define | PERF_STOP(x) /* null definition */
#define | PP_HTONL(x) (x)
#define | PP_HTONS(x) (x)
#define | PP_NTOHL(x) (x)
#define | PP_NTOHS(x) (x)

## Functions
void | lwip_itoa (char *result, size_t bufsize, int number)
int | lwip_stricmp (const char *str1, const char *str2)
int | lwip_strnicmp (const char *str1, const char *str2, size_t len)
char * | lwip_strnstr (const char *buffer, const char *token, size_t n)

## Detailed Description

various utility macros

Definition in file def.h.

## Macro Definition Documentation

## ◆ htonl

#define htonl | ( |  | x | ) | lwip_htonl(x)

Definition at line 110 of file def.h.

## ◆ htons

#define htons | ( |  | x | ) | lwip_htons(x)

Definition at line 108 of file def.h.

## ◆ LWIP_ARRAYSIZE

#define LWIP_ARRAYSIZE | ( |  | x | ) | (sizeof(x)/sizeof((x)[0]))

Definition at line 58 of file def.h.

## ◆ lwip_htonl

#define lwip_htonl | ( |  | x | ) | (x)

Definition at line 77 of file def.h.

## ◆ lwip_htons

#define lwip_htons | ( |  | x | ) | (x)

Definition at line 75 of file def.h.

## ◆ LWIP_MAKEU32

#define LWIP_MAKEU32 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

Value:
(((u32_t)((a) & 0xff) << 24) | \
((u32_t)((b) & 0xff) << 16) | \
((u32_t)((c) & 0xff) << 8) | \
(u32_t)((d) & 0xff))

Create u32_t value from bytes

Definition at line 61 of file def.h.

## ◆ LWIP_MAX

#define LWIP_MAX | ( |  | x,
|  |  | y
| ) |  | (((x) > (y)) ? (x) : (y))

Definition at line 54 of file def.h.

## ◆ LWIP_MIN

#define LWIP_MIN | ( |  | x,
|  |  | y
| ) |  | (((x) < (y)) ? (x) : (y))

Definition at line 55 of file def.h.

## ◆ lwip_ntohl

#define lwip_ntohl | ( |  | x | ) | (x)

Definition at line 78 of file def.h.

## ◆ lwip_ntohs

#define lwip_ntohs | ( |  | x | ) | (x)

Definition at line 76 of file def.h.

## ◆ ntohl

#define ntohl | ( |  | x | ) | lwip_ntohl(x)

Definition at line 111 of file def.h.

## ◆ ntohs

#define ntohs | ( |  | x | ) | lwip_ntohs(x)

Definition at line 109 of file def.h.

## ◆ NULL

#define NULL ((void *)0)

Definition at line 70 of file def.h.

## ◆ PERF_START

#define PERF_START /* null definition */

Definition at line 46 of file def.h.

## ◆ PERF_STOP

#define PERF_STOP | ( |  | x | ) | /* null definition */

Definition at line 47 of file def.h.

## ◆ PP_HTONL

#define PP_HTONL | ( |  | x | ) | (x)

Definition at line 81 of file def.h.

## ◆ PP_HTONS

#define PP_HTONS | ( |  | x | ) | (x)

Definition at line 79 of file def.h.

## ◆ PP_NTOHL

#define PP_NTOHL | ( |  | x | ) | (x)

Definition at line 82 of file def.h.

## ◆ PP_NTOHS

#define PP_NTOHS | ( |  | x | ) | (x)

Definition at line 80 of file def.h.

u32_t
uint32_t u32_t
Definition: arch.h:126